<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<link rel="stylesheet" href=" https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

<head>
    <meta charset="ISO-8859-1">
    <title>User Registration</title>
</head>
<body>
<div align="center" class="container my-2">
    <h1>User Registration</h1>

    <form action="#" th:action="@{/register}" method="post" th:object="${user}">

        <label>Full name:</label>
        <input type="text" th:field="*{name}" /><br/>

        <label>E-mail:</label>
        <input type="text" th:field="*{email}" /><br/>

        <label>Password:</label>
        <input type="password" th:field="*{password}" /><br/>

        <label>Birthday (yyyy-mm-dd):</label>
        <input type="text" th:field="*{birthday}" /><br/>

        <label>Gender:</label>
        <input type="radio" th:field="*{gender}" value="Male" />Male
        <input type="radio" th:field="*{gender}" value="Female" />Female<br/>

        <label>Profession:</label>
        <select th:field="*{profession}">
            <option th:each="p : ${listProfession}" th:value="${p}" th:text="${p}" />
        </select>
        <br/>

        <label>Married?</label>
        <input type="checkbox" th:field="*{married}" /><br/>

        <label>Note:</label>
        <textarea rows="5" cols="25" th:field="*{note}"></textarea>
        <br/>

        <button type="submit">Register</button>
    </form>
</div>
</body>
</html>
